cURL
curl --request GET \
--url 'https://api.fastforex.io/fetch-matrix?api_key='import requests
url = "https://api.fastforex.io/fetch-matrix?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.fastforex.io/fetch-matrix?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": [
"USD",
"CHF",
"ZAR",
"AED"
],
"to": [
"USD",
"GBP",
"JPY",
"CNY"
],
"matrix": {
"USD": {
"GBP": 0.74196,
"JPY": 147.488,
"CNY": 7.119,
"USD": 1
},
"CHF": {
"USD": 1.2573,
"GBP": 0.93291,
"JPY": 185.444,
"CNY": 8.9504
},
"ZAR": {
"USD": 0.0581,
"GBP": 0.04308,
"JPY": 8.56229,
"CNY": 0.41342
},
"AED": {
"USD": 0.27223,
"GBP": 0.20196,
"JPY": 40.1552,
"CNY": 1.938
}
},
"updated": "2025-10-03T16:52:05Z",
"calls": 16,
"ms": 8
}Physical Currency APIs
Exchange Rate Matrix
Fetch a matrix of multiple from/to currency pairs. Midpoint spot rates. Costs one API call per pair returned.
GET
/
fetch-matrix
cURL
Authorizations
api_keyapiKeyHeaderbearerAuthbasicAuth
Query Parameters
Source currencies, comma separated list of 3-letter symbols A comma-separated list of three-letter ISO 4217 currency codes
Pattern:
[A-Z]{3}(,[A-Z]{3})*Target currencies, comma separated list of 3-letter symbols A comma-separated list of three-letter ISO 4217 currency codes
Pattern:
[A-Z]{3}(,[A-Z]{3})*Response
Success
Three-letter ISO 4217 currency code
Pattern:
[A-Z]{3}Three-letter ISO 4217 currency code
Pattern:
[A-Z]{3}Show child attributes
Show child attributes
A datetime value. If no timezone offset supplied, UTC/GMT is assumed.
Pattern:
[0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}:[0-9]{2}The number of API calls consumed by this request
Server response time in milliseconds